Skip to content
StatusSupportDashboard

Create webapp SDK session

POST/v1/sessions

Create a browser-safe SafetyKit webapp SDK session token from server-side code before rendering pages that load the browser SDK. Provide at least one of customer_user_id or customer_session_hash. When customer_user_id is present, use the same canonical user ID string that you send as user_id in SafetyKit server-to-server events. The request must be authenticated with a valid Bearer token.

Body ParametersJSONExpand Collapse
body: object { customer_user_id, customer_session_hash } or object { customer_session_hash, customer_user_id }

Request body for creating a browser-safe webapp SDK session token from server-side code. Provide at least one of customer_user_id or customer_session_hash.

One of the following:
object { customer_user_id, customer_session_hash }
customer_user_id: string

Customer user identifier associated with the browser SDK session. Use the same canonical user ID string that you send as user_id in SafetyKit server-to-server events.

minLength1
maxLength512
customer_session_hash: optional string

Stable opaque customer session hash associated with the browser SDK session.

minLength1
maxLength512
object { customer_session_hash, customer_user_id }
customer_session_hash: string

Stable opaque customer session hash associated with the browser SDK session.

minLength1
maxLength512
customer_user_id: optional string

Customer user identifier associated with the browser SDK session. Use the same canonical user ID string that you send as user_id in SafetyKit server-to-server events.

minLength1
maxLength512
ReturnsExpand Collapse
sdk_script_url: string

SafetyKit-hosted browser SDK script URL to render as the script src.

formaturi
session_token: string

Browser-safe webapp SDK session token to pass to the browser SDK.

Create webapp SDK session

curl https://diagnostics.safetykit.com/v1/sessions \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $SAFETYKIT_API_KEY" \
    -d '{
          "customer_user_id": "user_12345",
          "customer_session_hash": "session_hash_abc123"
        }'
{
  "sdk_script_url": "https://cdn.sk-diagnostics.com/web/v1/sdk.js",
  "session_token": "skst_v2_eyJ..."
}
Returns Examples
{
  "sdk_script_url": "https://cdn.sk-diagnostics.com/web/v1/sdk.js",
  "session_token": "skst_v2_eyJ..."
}